public class AnimatedObject extends GameObject {
  // Used for any object in the game that is animated and/or moves
  String spriteFile; // String containing the fuill path to a strite file
  int spriteState; // Integer reprenting which sprite image is currently displayed

  public AnimatedObject(int x, int y) {
    super(x, y);
  }

  public AnimatedObject(int x, int y, String sprite, int state) {
    super(x, y);
    spriteFile = sprite;
    spriteState = state;
  }

  @Override
  public void draw() {
    // Display the correct sprite image at the location positionX, positionY
  }

  public void update() {
    // Change positionX, positionY if the object is moving
    // Change spriteState based on what the AnimatedObject is doing
  }
}
