abstract class GameObject {
  // Used for everything in the game that gets displayed on the screen
  // Every object must have a location (x, y position)

  int positionX; // Location x coordinate
  int positionY; // Location y coordinate

  public GameObject(int x, int y) {
    positionX = x;
    positionY = y;
  }

  public abstract void draw();
}
